| Exiv2

Loading...
Searching...
No Matches
List of all members
Exiv2::Internal::TiffDecoder Class Reference

TIFF composite visitor to decode metadata from the TIFF tree and add it to an Image, which is supplied in the constructor (Visitor pattern). Used by TiffParser to decode the metadata from a TIFF composite. More...

`#include <tiffvisitor_int.hpp>`

Inheritance diagram for Exiv2::Internal::TiffDecoder:
[legend]

## Public Member Functions
Creators
| TiffDecoder (ExifData &exifData, IptcData &iptcData, XmpData &xmpData, TiffComponent *pRoot, FindDecoderFct findDecoderFct)
| Constructor, taking metadata containers to add the metadata to, the root element of the composite to decode and a FindDecoderFct function to get the decoder function for each tag.
| TiffDecoder (const TiffDecoder &)=delete
TiffDecoder & | operator= (const TiffDecoder &)=delete
| ~TiffDecoder () override=default
| Virtual destructor.
Public Member Functions inherited from Exiv2::Internal::TiffVisitor
virtual | ~TiffVisitor ()=default
| Virtual destructor.
void | setGo (GoEvent event, bool go)
| Set the stop/go flag: true for go, false for stop.
virtual void | visitDirectoryNext (TiffDirectory *object)
| Operation to perform for a TIFF directory, after all components and before the next entry is processed.
virtual void | visitDirectoryEnd (TiffDirectory *object)
| Operation to perform for a TIFF directory, at the end of the processing.
virtual void | visitIfdMakernoteEnd (TiffIfdMakernote *object)
| Operation to perform after processing an IFD makernote.
virtual void | visitBinaryArrayEnd (TiffBinaryArray *object)
| Operation to perform for a TIFF binary array, at the end of the processing.
bool | go (GoEvent event) const
| Check if stop flag for event is clear, return true if it's clear.

## Manipulators
void | visitEntry (TiffEntry *object) override
| Decode a TIFF entry.
void | visitDataEntry (TiffDataEntry *object) override
| Decode a TIFF data entry.
void | visitImageEntry (TiffImageEntry *object) override
| Decode a TIFF image entry.
void | visitSizeEntry (TiffSizeEntry *object) override
| Decode a TIFF size entry.
void | visitDirectory (TiffDirectory *object) override
| Decode a TIFF directory.
void | visitSubIfd (TiffSubIfd *object) override
| Decode a TIFF sub-IFD.
void | visitMnEntry (TiffMnEntry *object) override
| Decode a TIFF makernote.
void | visitIfdMakernote (TiffIfdMakernote *object) override
| Decode an IFD makernote.
void | visitBinaryArray (TiffBinaryArray *object) override
| Decode a binary array.
void | visitBinaryElement (TiffBinaryElement *object) override
| Decode an element of a binary array.
void | decodeTiffEntry (const TiffEntryBase *object)
| Entry function, determines how to decode each tag.
void | decodeStdTiffEntry (const TiffEntryBase *object)
| Decode a standard TIFF entry.
void | decodeIptc (const TiffEntryBase *object)
| Decode IPTC data from an IPTCNAA tag or Photoshop ImageResources.
void | decodeXmp (const TiffEntryBase *object)
| Decode XMP packet from an XMLPacket tag.
void | decodeCanonAFInfo (const TiffEntryBase *object)
| Decode Exif.Canon.AFInfo.

## Additional Inherited Members
Public Types inherited from Exiv2::Internal::TiffVisitor
enum | GoEvent { geTraverse = 0 , geKnownMakernote = 1 }
| Events for the stop/go flag. See setGo(). More...

## Detailed Description

TIFF composite visitor to decode metadata from the TIFF tree and add it to an Image, which is supplied in the constructor (Visitor pattern). Used by TiffParser to decode the metadata from a TIFF composite.

## Member Function Documentation

## ◆ visitBinaryArray()

void Exiv2::Internal::TiffDecoder::visitBinaryArray | ( | TiffBinaryArray * | object | ) |
| override virtual

Decode a binary array.

Implements Exiv2::Internal::TiffVisitor.

References Exiv2::Internal::TiffBinaryArray::cfg(), Exiv2::Internal::TiffBinaryArray::decoded(), and decodeTiffEntry().

## ◆ visitBinaryElement()

void Exiv2::Internal::TiffDecoder::visitBinaryElement | ( | TiffBinaryElement * | object | ) |
| override virtual

Decode an element of a binary array.

Implements Exiv2::Internal::TiffVisitor.

References decodeTiffEntry().

## ◆ visitDataEntry()

void Exiv2::Internal::TiffDecoder::visitDataEntry | ( | TiffDataEntry * | object | ) |
| override virtual

Decode a TIFF data entry.

Implements Exiv2::Internal::TiffVisitor.

References decodeTiffEntry().

## ◆ visitDirectory()

void Exiv2::Internal::TiffDecoder::visitDirectory | ( | TiffDirectory * | object | ) |
| override virtual

Decode a TIFF directory.

Implements Exiv2::Internal::TiffVisitor.

## ◆ visitEntry()

void Exiv2::Internal::TiffDecoder::visitEntry | ( | TiffEntry * | object | ) |
| override virtual

Decode a TIFF entry.

Implements Exiv2::Internal::TiffVisitor.

References decodeTiffEntry().

## ◆ visitIfdMakernote()

void Exiv2::Internal::TiffDecoder::visitIfdMakernote | ( | TiffIfdMakernote * | object | ) |
| override virtual

Decode an IFD makernote.

Implements Exiv2::Internal::TiffVisitor.

References Exiv2::Internal::TiffIfdMakernote::byteOrder().

## ◆ visitImageEntry()

void Exiv2::Internal::TiffDecoder::visitImageEntry | ( | TiffImageEntry * | object | ) |
| override virtual

Decode a TIFF image entry.

Implements Exiv2::Internal::TiffVisitor.

References decodeTiffEntry().

## ◆ visitMnEntry()

void Exiv2::Internal::TiffDecoder::visitMnEntry | ( | TiffMnEntry * | object | ) |
| override virtual

Decode a TIFF makernote.

Implements Exiv2::Internal::TiffVisitor.

References decodeTiffEntry().

## ◆ visitSizeEntry()

void Exiv2::Internal::TiffDecoder::visitSizeEntry | ( | TiffSizeEntry * | object | ) |
| override virtual

Decode a TIFF size entry.

Implements Exiv2::Internal::TiffVisitor.

References decodeTiffEntry().

## ◆ visitSubIfd()

void Exiv2::Internal::TiffDecoder::visitSubIfd | ( | TiffSubIfd * | object | ) |
| override virtual

Decode a TIFF sub-IFD.

Implements Exiv2::Internal::TiffVisitor.

References decodeTiffEntry().

The documentation for this class was generated from the following files:

- tiffvisitor_int.hpp
- tiffvisitor_int.cpp